﻿using System;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("ImageName"), 
                new DataColumn("ImageUrl"),
                new DataColumn("ZoomImageUrl")
        });
            string[] filePaths = Directory.GetFiles(Server.MapPath("~/Images/Small/"));
            foreach (string filePath in filePaths)
            {
                string fileName = Path.GetFileName(filePath);
                dt.Rows.Add(fileName, "~/Images/Small/" + fileName, "~/Images/Large/" + fileName);
            }
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }
}